Module Module1

    Sub Main()

        '' Definiujemy zdanie
        'Dim Sentence As String = "Końcowy wynik obliczeń to 433."

        '' Przekształcamy zdanie w tablicę słów
        'Dim Delimiters() As Char = {" ", ".", ","}
        'Dim Words() As String = Sentence.Split(Delimiters)

        '' Badamy każde słowo
        'For Each Word As String In Words
        '    ' Sprawdzamy, czy słowo jest puste
        '    If Word <> "" Then
        '        Console.Write("'" + Word + "'" & vbTab & "= ")

        '        ' Sprawdzamy, czy słowo składa się z liter
        '        Dim AllLetters As Boolean = True
        '        For Each Character As Char In Word
        '            If Not Char.IsLetter(Character) Then
        '                AllLetters = False
        '            End If
        '        Next
        '        If AllLetters Then
        '            Console.WriteLine("słowo")
        '        Else
        '            ' Jeśli słowo nie składa się z liter,
        '            ' sprawdzamy, czy składa się z cyfr
        '            Dim AllNumbers As Boolean = True
        '            For Each Character As Char In Word
        '                If Not Char.IsDigit(Character) Then
        '                    AllNumbers = False
        '                End If
        '            Next
        '            If AllNumbers Then
        '                Console.WriteLine("liczba")
        '            Else
        '                ' Jeśli słowo nie składa się z samych liter albo cyfr,
        '                ' zakładamy, że zawiera ich kombinację (albo inne znaki)
        '                Console.WriteLine("mieszane")
        '            End If
        '        End If
        '    End If
        'Next

        ' Definiujemy zdanie
        Dim Sentence As String = "Końcowy wynik obliczeń to 433."

        ' Przekształcamy zdanie w tablicę słów
        Dim Delimiters() As Char = {" ", ".", ","}
        Dim Words() As String = Sentence.Split(Delimiters)

        ' Badamy każde słowo
        For Each Word As String In Words
            ' Sprawdzamy, czy słowo jest puste
            If Word = "" Then Continue For

            Console.Write("'" + Word + "'" & vbTab & "= ")


            ' Sprawdzamy, czy słowo składa się z liter
            Dim AllLetters As Boolean = True
            For Each Character As Char In Word
                If Not Char.IsLetter(Character) Then
                    AllLetters = False
                End If
            Next
            If AllLetters Then
                Console.WriteLine("słowo")
                Continue For
            End If

            ' Jeśli słowo nie składa się z liter,
            ' sprawdzamy, czy składa się z cyfr
            Dim AllNumbers As Boolean = True
            For Each Character As Char In Word
                If Not Char.IsDigit(Character) Then
                    AllNumbers = False
                End If
            Next
            If AllNumbers Then
                Console.WriteLine("liczba")
                Continue For
            End If

            ' Jeśli słowo nie składa się z samych liter albo cyfr,
            ' zakładamy, że zawiera ich kombinację (albo inne znaki)
            Console.WriteLine("mieszane")
        Next

        Console.ReadLine()

    End Sub

End Module
